Page MenuHomePhabricator

Enable Legalpad
Closed, ResolvedPublic

Description

Please enable the Legalpad application with these permissions:

  • Can Use Application: Public (No Login Required)
  • Can Configure Application: Administrators
  • Can Create Documents: Custom policy: WMF-Legal + Phabricator
  • Default View Policy: All Users
  • Default Edit Policy: All Users (for now, might change)

We will use Legalpad first for T655: Implement the Volunteer NDA process in Phabricator, which is a straightforward case that works out of the box. Then we will for Legalpad.

Previous description:

We could put Legalpad into good use in this production instance one the post-launch dust settles.

We could avoid maintaining https://legalpad.wikimedia.org in a separate instance, and there another projects that would require it too.

Event Timeline

Qgil created this task.Oct 13 2014, 9:28 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.

Having faced the costs of migration from the now defunct wmflabs instance to production, this needs careful consideration.

Aklapper triaged this task as Low priority.Oct 13 2014, 9:46 PM
Qgil added a project: WMF-Legal.EditedOct 13 2014, 9:54 PM

Precisely. The other site is still empty, not launched. At this point, I'd rather prefer that WMF-Legal launches their project here instead of in a separate site, generating content that perhaps one day must be migrated.

Qgil added a subscriber: LuisV_WMF.
Qgil raised the priority of this task from Low to Medium.Nov 26 2014, 8:41 AM
Qgil moved this task from To Triage to Ready to Go on the Phabricator board.Nov 27 2014, 9:28 AM
revi added a subscriber: revi.Nov 27 2014, 1:11 PM

Currently Legalpad is uninstalled on this instance (phabricator.uninstalled-applications). That's easy to change.

I could enable it on phabricator.wikimedia.org but I feel like checking again if WMF-Legal is interested in that, seeing not much happening in the separate instance. (Situation might be due to communication misunderstandings on my side, though.)

So feedback from Legal / further parties is welcome here.

Qgil added a comment.Dec 1 2014, 1:30 PM

We need Legalpad also for T655: Implement the Volunteer NDA process in Phabricator (a task that I had committed to for November, but never mind).

WMF-Legal is not saying anything at the moment because I met with them in October and I promised them that we would install Legalpad in production after the Bugzilla migration. The trausted user tool is still a WMF Board mandate, and a top priority for them.

What Quim said :)

(Also testing if email reply-to works, despite the "no-reply@" from:
address)

Qgil assigned this task to chasemp.Dec 1 2014, 10:35 PM
Qgil updated the task description. (Show Details)
chasemp updated the task description. (Show Details)Dec 1 2014, 11:11 PM

I enabled it for now w/ the designated settings in the description (the legal group was wrong :)

https://phabricator.wikimedia.org/legalpad/

I'm not sure if "can use: public" is actually the right thing? but you asked for and you got it.

Qgil closed this task as Resolved.Dec 1 2014, 11:37 PM

Thank you! Resolving.

As far as I remember, when I tested in phab-01, Can Use defined the possibility to see "Legalpad" at all. Doing anything meaningful with a Legalpad document (create or edit with a signature) is controlled by their respective policies. BUT I will double check as soon as we have a first document up.